#
# spec file for package zope (Version 2.4.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache apache-devel mm python python-devel
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim apache apache-devel autoconf automake binutils cracklib gcc gdbm gettext libtool libz mm pam perl python python-devel rpm

Name:         zope
Copyright:    Zope Public License (ZPL)
Summary:      An application server and portal toolkit for building Web sites
Group:        Networking/Daemons
Requires:     python >= 1.5.2
Autoreqprov:  on
Version:      2.4.1
Release:      153
Source:       Zope-%{version}-src.tar.bz2
Source2:      zpasswd
Source3:      rc.config.zope
Source4:      zope
Source5:      zope_homes
Source6:      zope_pcgi
Source7:      zope.conf
Source8:      Zope.cgi
Source9:      zope.rc.config
#Docs
Source10:     ZopeBook.tar.bz2
Source11:     ZopeBook.pdf
Source12:     ZAG.html.tar.bz2
Source13:     ZAG.pdf
Source14:     DevGuide.tar.bz2
Source15:     DevGuide.pdf
Source16:     README.SuSE
#Hotfixes
Source20:     Hotfix_2001-09-28.tgz
Source21:     Hotfix_2002-03-01.tgz
Source22:     Hotfix_2002-04-15.tgz
Source23:     Hotfix_2002-06-14.tgz
Patch:        compile.patch
Url:          http://www.zope.org/

%description
The Z Object Programming Environment (Zope) is a free, Open Source[tm]
Python-based application server for building high-performance, dynamic
web sites using a powerful and simple scripting object model and
high-performance, integrated object database.

Check http://www.zope.org for documentation, news, downloads, etc.

Read /usr/share/doc/packages/zope/README.SuSE for post installation hints.

You can find documentation in packages zope-doc (resp. zope-doc-pdf).
If you want to use MySQL with Zope install zope-mysql.

Check http://www.zope.org/Products for available products and save your time.

Authors:
--------
    Jeff Bauer <jeffbauer@bigfoot.com>
    Sam Rushing <rushing@nightmare.com>

SuSE series: d

%package doc-pdf
Summary:      PDF documentation for Zope
Group:        Networking/Daemons
Autoreqprov:  on
Requires:     zope

%description doc-pdf
ZopeBook
Zope Administrator's Guide
Zope Developer's Guide

Authors:
--------
    Michel Pelletier
    Amos Latteier
    Chris McDonough

SuSE series: d

%package doc
Summary:      HTML documentation for Zope
Group:        Networking/Daemons
Autoreqprov:  on
Requires:     zope

%description doc
ZopeBook
Zope Administrator's Guide
Zope Developer's Guide

Authors:
--------
    Michel Pelletier
    Amos Latteier
    Chris McDonough

SuSE series: d

%prep
%setup -n Zope-%{version}-src
%patch

%build

%install
echo Installing main Zope parts...
install -d /opt/zope
cp -a *  /opt/zope/
cd /opt/zope
#hotfixes
tar xzvf %{S:20}
tar xzvf %{S:21}
tar xzvf %{S:22}
tar xzvf %{S:23}
python w_pcgi.py
#
echo "CGI rulez..."
install -m 0755 %{S:8} .
#
echo Installing zpasswd...
install -m 0755 zpasswd.py* utilities/
rm zpasswd.py*
install -d /usr/sbin/
install -m 0755 %{S:2} /usr/sbin/
#
echo Create initial user...
utilities/zpasswd.py -u superuser -p 123 inituser
#
echo "Let's log!"
install -d /var/log
touch /var/log/zope.log
(cd var; ln -s ../../../var/log/zope.log Z2.log)
#
echo "SuSE mark..."
echo -n " [SuSE Linux]" >>lib/python/version.txt
#
echo SuSE stuff...
install -d /var/adm/fillup-templates/
install %{S:3} /var/adm/fillup-templates/
install -d /etc/init.d/
install %{S:4} /etc/init.d/
(cd /usr/sbin/; ln -s ../../etc/init.d/zope rczope)
install -d /etc/httpd/modules/
install %{S:5} %{S:6} /etc/httpd/modules/
install %{S:7} /etc/httpd/
(cd /etc/httpd/; chmod 644 `find -type f`)
install -d /etc/rc.config.d/
install -m 644 %{S:9} /etc/rc.config.d/
#
# Docs
#
install -d /$RPM_DOC_DIR/zope
install -m 644 LICENSE.txt /$RPM_DOC_DIR/zope
(cd /$RPM_DOC_DIR/zope
tar xjvf %{S:10}
mkdir ZAG
(cd ZAG; tar xjvf %{S:12})
tar xjvf %{S:14}
mkdir pdf
(cd pdf; install %{S:11} %{S:13} %{S:15} .)
install %{S:16} .
chmod 644 `find -type f`)

%post
sbin/insserv etc/init.d/zope
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.zope
else
echo "ERROR: fillup not found. This should not happen. Please compare"
echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.zope and update manually."
fi
if [ -f var/lib/zope/var/Data.fs.rpmsave ]; then
	echo -n "Restoring old Data.fs.rpmsave... "
	(cd opt/zope/var/
	mv Data.fs Data.fs-empty
	cp ../../../var/lib/zope/var/Data.fs.rpmsave Data.fs)
	echo "done."
fi

%postun
sbin/insserv etc/init.d/

%files
%defattr(-, root, root)
%config /etc/init.d/zope
%config /etc/httpd/modules/zope*
%config /etc/httpd/zope.conf
%config /etc/rc.config.d/zope.rc.config
%dir /opt/zope/
/opt/zope/Extensions
/opt/zope/ZServer
/opt/zope/Zope.cgi
/opt/zope/import
%config(noreplace) %verify(not size md5 mtime) %attr(600, -, -) /opt/zope/inituser
/opt/zope/lib
/opt/zope/pcgi
/opt/zope/utilities
%dir %attr(-, zope, root) /opt/zope/var/
%config(noreplace) %verify(not size md5 mtime) %attr(600, zope, root) /opt/zope/var/*
/opt/zope/z2.*
/usr/sbin/rczope
/usr/sbin/zpasswd
/var/adm/fillup-templates/rc.config.zope
%attr(644, zope, root) %verify(not size md5 mtime) /var/log/zope.log
%dir %{_docdir}/zope
%doc %{_docdir}/zope/README.SuSE
%doc %{_docdir}/zope/LICENSE.txt

%files doc-pdf
%defattr(-, root, root)
%doc %{_docdir}/zope/pdf

%files doc
%defattr(-, root, root)
%doc %{_docdir}/zope/ZopeBook
%doc %{_docdir}/zope/ZAG
%doc %{_docdir}/zope/DevGuide

%changelog -n zope
* Wed Jun 11 2003 - lmuelle@suse.de
- Hotfix_2002-03-01 added:
  The issue involves the checking of security for objects with proxy roles. The
  context of the owner user that created the object with proxy roles was not
  being taken into account when determining access to the object with proxy
  roles. This flaw could allow users defined in subfolders of a site with
  sufficient privileges to access objects at higher levels in the site that
  they would not normally be able to access.
- Hotfix_2002-04-15 added:
  The issue involves a vulnerability involving "through the web code"
  inadvertently allowing an untrusted user to remotely shut down a Zope server
  by allowing the user to inject special headers into the response. If you
  allow untrusted users to write "through the web" code like Python Scripts,
  DTML Methods, or Page Templates, your Zope server is vulnerable.
- Hotfix_2002-06-14 added:
  The issue involves the security of the indexes of ZCatalog objects. A flaw in
  the security settings of ZCatalog allows anonymous users to call arbitrary
  methods of catalog indexes. The vulnerability also allows untrusted code to
  do the same.
- These three hofixes fix bug #27306; many thanks to Krischan Jodies of SerNet
  GmbH, Goettingen, Germany, who informed us about this ugly mistake.
* Fri Oct 12 2001 - vinil@suse.cz
- Hotfix_2001-09-28 added:
  The issue involves the "fmt" attribute of dtml-var tags. Without this
  correction, Zope does not check security access to methods invoked through
  "fmt".
* Wed Sep 05 2001 - vinil@suse.cz
- new version 2.4.1 -> get rid of hotfixes
* Sun Aug 26 2001 - vinil@suse.cz
- security Hotfix_2001-07-25 added
* Thu Aug 16 2001 - vinil@suse.cz
- new version 2.4.0
- security Hotfix 2001_08_04 added
- ZopeBook and DevGuide updated
* Tue Jul 24 2001 - vinil@suse.cz
- use included build system (farewell buildroot)
- import bug fixed
* Thu Jul 12 2001 - vinil@suse.cz
- got rid of redirections in rc script
- "[SuSE Linux]" appended to version string
* Tue Jul 03 2001 - vinil@suse.cz
- unused required removed
- typo in rczope script fixed
* Tue Jul 03 2001 - vinil@suse.cz
- version 2.3.3
- package completely remade (zope lives in /opt/zope, now)
- zope-doc, zope-doc-pdf now exists
* Wed May 16 2001 - pblaha@suse.cz
- add  /etc/httpd/modules/zope for fix bug #8446
* Tue May 15 2001 - pblaha@suse.cz
- now Zope works by adding  BTree class bug #7665
- work with  init account superuser bug #6258
- add redirect pages  bug #7486
* Wed May 09 2001 - pblaha@suse.cz
- add /usr/sbin/rczope
* Mon Apr 09 2001 - pblaha@suse.cz
- update on 2.3.1
* Tue Mar 27 2001 - pblaha@suse.cz
- update on 2.3.0
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Mon Jan 15 2001 - pblaha@suse.cz
- update on 2.2.5  for fix bugs
* Sat Jan 06 2001 - kukuk@suse.de
- Create start/stop links with insserv
* Tue Nov 28 2000 - ro@suse.de
- fixed startscript
* Fri Nov 24 2000 - pblaha@suse.cz
- fixed for python2.0
* Tue Nov 21 2000 - pblaha@suse.cz
- update on 2.2.2
* Sun Oct 29 2000 - kukuk@suse.de
- fix neededforbuild
* Mon Oct 09 2000 - bubnikv@suse.cz
- fixed filelist of links in /sbin/init.d/rc?.d/...
- START_ZOPE set to "no" by default
* Wed Aug 23 2000 - bubnikv@suse.cz
- new security hotfix from 2000-08-17
* Mon Jun 19 2000 - bubnikv@suse.cz
- fixed syslog patch
- added security fix from zope authors
* Fri May 12 2000 - bubnikv@suse.cz
- new package
